SystemOrganization addCategory: #SCTCIntroOfFuel!

TGCamp subclass: #SCTCIntroOfFuel
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SCTCIntroOfFuel'!

!SCTCIntroOfFuel methodsFor: 'as yet unclassified' stamp: 'hjo 8/18/2012 15:42'!
node0000

	^(((TGNode categoryName: #'Fuel-Core') text: (Text string: 'As always, ''Core'' is the essence of a package. Reading it is a must.' runs: (RunArray runs: #(68 ) values: ((Array new: 1) at: 1 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); yourself))))isInstanceSide: true)! !

!SCTCIntroOfFuel methodsFor: 'as yet unclassified' stamp: 'hjo 8/18/2012 15:42'!
node0001

	^(((TGNode categoryName: #'Fuel-Core') text: (Text string: 'important terminology:

SERIALIZATION:       object --> file
MATERIALIZATION:   file --> object' runs: (RunArray runs: #(95 ) values: ((Array new: 1) at: 1 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); yourself))))isInstanceSide: true)! !

!SCTCIntroOfFuel methodsFor: 'as yet unclassified' stamp: 'hjo 8/18/2012 15:42'!
node0002

	^(((TGNode class: FLSerializer) text: (Text string: 'This is the object that serializes.

SERIALIZATION:       object --> file' runs: (RunArray runs: #(73 ) values: ((Array new: 1) at: 1 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); yourself))))isInstanceSide: true)! !

!SCTCIntroOfFuel methodsFor: 'as yet unclassified' stamp: 'hjo 8/18/2012 15:42'!
node0003

	^(((TGNode class: FLMaterializer) text: (Text string: 'This is the object that materializes.

MATERIALIZATION:   file --> object' runs: (RunArray runs: #(73 ) values: ((Array new: 1) at: 1 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); yourself))))isInstanceSide: true)! !

!SCTCIntroOfFuel methodsFor: 'as yet unclassified' stamp: 'hjo 8/18/2012 15:42'!
node0004

	^(((TGNode categoryName: #FuelTests) text: (Text string: 'Since Fuel has to work for all classes, there is a lot of things to test. Fuel comes with rich tests for that. You might find what you want to do here as an example. 

"What should I do to serialize x?"
"Will it serialize x correctly?"' runs: (RunArray runs: #(235 ) values: ((Array new: 1) at: 1 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); yourself))))isInstanceSide: true)! !

!SCTCIntroOfFuel methodsFor: 'as yet unclassified' stamp: 'hjo 8/18/2012 15:42'!
node0005

	^(((TGNode categoryName: #'Fuel-Core') text: (Text string: 'Let''s start with a simple example.

str := ''hello''.
x := FLSerializer serializeToByteArray: str.
y := FLMaterializer materializeFromByteArray: x.    

y = str and: [y ~~ str]. "true"


This is how we use Fuel. Very simple. To be excentric, this is all you need to know if you are not interested in how it works.' runs: (RunArray runs: #(43 8 1 1 4 12 1 21 6 5 14 1 25 11 1 5 4 1 3 2 4 138 ) values: ((Array new: 22) at: 1 put: ((Array new: 16) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); at: 3 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 4 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 5 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 6 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 7 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 8 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 9 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 10 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 11 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 12 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 13 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 14 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 15 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 16 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); yourself); at: 2 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); at: 3 put: ((Array new: 16) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); at: 3 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 4 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 5 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 6 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 7 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 8 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 9 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 10 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 11 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 12 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 13 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 14 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 15 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 16 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); yourself); at: 4 put: ((Array new: 28) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); at: 3 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #x; instVarAt: 4 put: false; yourself); at: 4 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #x; instVarAt: 4 put: false; yourself); at: 5 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #x; instVarAt: 4 put: false; yourself); at: 6 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #x; instVarAt: 4 put: false; yourself); at: 7 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #x; instVarAt: 4 put: false; yourself); at: 8 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #x; instVarAt: 4 put: false; yourself); at: 9 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #x; instVarAt: 4 put: false; yourself); at: 10 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #x; instVarAt: 4 put: false; yourself); at: 11 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #x; instVarAt: 4 put: false; yourself); at: 12 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #x; instVarAt: 4 put: false; yourself); at: 13 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #x; instVarAt: 4 put: false; yourself); at: 14 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #x; instVarAt: 4 put: false; yourself); at: 15 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 16 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 17 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 18 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 19 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 20 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 21 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 22 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 23 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 24 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 25 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 26 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 27 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 28 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); yourself); at: 5 put: ((Array new: 16) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); at: 3 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 4 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 5 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 6 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 7 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 8 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 9 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 10 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 11 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 12 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 13 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 14 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 15 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 16 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); yourself); at: 6 put: ((Array new: 114) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); at: 3 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 4 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 5 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 6 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 7 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 8 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 9 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 10 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 11 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 12 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 13 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 14 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 15 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 16 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 17 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 18 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 19 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 20 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 21 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 22 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 23 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 24 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 25 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 26 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 27 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 28 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 29 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 30 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 31 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 32 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 33 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 34 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 35 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 36 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 37 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 38 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 39 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 40 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 41 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 42 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 43 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 44 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 45 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 46 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 47 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 48 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 49 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 50 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 51 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 52 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 53 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 54 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 55 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 56 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 57 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 58 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 59 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 60 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 61 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 62 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 63 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 64 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 65 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 66 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 67 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 68 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 69 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 70 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 71 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 72 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 73 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 74 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 75 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 76 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 77 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 78 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 79 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 80 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 81 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 82 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 83 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 84 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 85 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 86 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 87 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 88 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 89 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 90 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 91 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 92 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 93 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 94 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 95 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 96 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 97 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 98 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 99 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 100 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #FLSerializer; instVarAt: 4 put: false; yourself); at: 101 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 102 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 103 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 104 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 105 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 106 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 107 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 108 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 109 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 110 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 111 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 112 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 113 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); at: 114 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLSerializer; yourself); yourself); at: 7 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); at: 8 put: ((Array new: 111) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); at: 3 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 4 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 5 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 6 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 7 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 8 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 9 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 10 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 11 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 12 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 13 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 14 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 15 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 16 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 17 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 18 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 19 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 20 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 21 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 22 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 23 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 24 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 25 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 26 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 27 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 28 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 29 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 30 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 31 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 32 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 33 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 34 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 35 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 36 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 37 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 38 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 39 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 40 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 41 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 42 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 43 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 44 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 45 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 46 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 47 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 48 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 49 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 50 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 51 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 52 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 53 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 54 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 55 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 56 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 57 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 58 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 59 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 60 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 61 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 62 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 63 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 64 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 65 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 66 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 67 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 68 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 69 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 70 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 71 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 72 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 73 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 74 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 75 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 76 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 77 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 78 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 79 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 80 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 81 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 82 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 83 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 84 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 85 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 86 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 87 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 88 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 89 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 90 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 91 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 92 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 93 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 94 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 95 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 96 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 97 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 98 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 99 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 100 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 101 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 102 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 103 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 104 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 105 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 106 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 107 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 108 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 109 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 110 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); at: 111 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #serializeToByteArray:; instVarAt: 4 put: false; yourself); yourself); at: 9 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); at: 10 put: ((Array new: 13) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); at: 3 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 4 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 5 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 6 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 7 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 8 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 9 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 10 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 11 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 12 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 13 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); yourself); at: 11 put: ((Array new: 78) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); at: 3 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 4 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 5 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 6 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 7 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 8 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 9 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 10 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 11 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 12 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 13 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 14 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 15 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 16 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 17 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 18 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 19 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 20 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 21 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 22 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 23 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 24 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 25 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 26 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 27 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 28 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 29 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 30 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 31 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 32 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 33 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 34 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 35 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 36 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 37 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 38 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 39 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 40 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 41 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 42 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 43 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 44 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 45 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 46 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 47 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 48 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 49 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 50 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 51 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 52 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 53 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 54 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 55 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 56 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 57 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 58 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 59 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 60 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 61 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 62 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 63 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 64 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 65 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 66 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 67 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #FLMaterializer; instVarAt: 4 put: false; yourself); at: 68 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 69 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 70 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 71 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 72 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 73 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 74 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 75 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 76 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 77 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); at: 78 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #FLMaterializer; yourself); yourself); at: 12 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); at: 13 put: ((Array new: 73) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); at: 3 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); at: 4 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); at: 5 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); at: 6 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); at: 7 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); at: 8 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); at: 9 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); at: 10 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); at: 11 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); at: 12 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); at: 13 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); at: 14 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); at: 15 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); at: 16 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); at: 17 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); at: 18 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); at: 19 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); at: 20 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); at: 21 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); at: 22 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); at: 23 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); at: 24 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); at: 25 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); at: 26 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); at: 27 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); at: 28 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); at: 29 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); at: 30 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); at: 31 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); at: 32 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); at: 33 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); at: 34 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); at: 35 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); at: 36 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); at: 37 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); at: 38 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); at: 39 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); at: 40 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); at: 41 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); at: 42 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); at: 43 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); at: 44 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); at: 45 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); at: 46 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); at: 47 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); at: 48 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); at: 49 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); at: 50 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); at: 51 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); at: 52 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); at: 53 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); at: 54 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); at: 55 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); at: 56 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); at: 57 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); at: 58 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); at: 59 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); at: 60 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); at: 61 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); at: 62 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); at: 63 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); at: 64 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); at: 65 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); at: 66 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); at: 67 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); at: 68 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); at: 69 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); at: 70 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); at: 71 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); at: 72 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); at: 73 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFromByteArray:; instVarAt: 4 put: false; yourself); yourself); at: 14 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); at: 15 put: ((Array new: 47) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); at: 3 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #=; instVarAt: 4 put: false; yourself); at: 4 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #=; instVarAt: 4 put: false; yourself); at: 5 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #=; instVarAt: 4 put: false; yourself); at: 6 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #=; instVarAt: 4 put: false; yourself); at: 7 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #=; instVarAt: 4 put: false; yourself); at: 8 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #=; instVarAt: 4 put: false; yourself); at: 9 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #=; instVarAt: 4 put: false; yourself); at: 10 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #=; instVarAt: 4 put: false; yourself); at: 11 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #=; instVarAt: 4 put: false; yourself); at: 12 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #=; instVarAt: 4 put: false; yourself); at: 13 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #=; instVarAt: 4 put: false; yourself); at: 14 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #=; instVarAt: 4 put: false; yourself); at: 15 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #=; instVarAt: 4 put: false; yourself); at: 16 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #=; instVarAt: 4 put: false; yourself); at: 17 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #=; instVarAt: 4 put: false; yourself); at: 18 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #=; instVarAt: 4 put: false; yourself); at: 19 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #=; instVarAt: 4 put: false; yourself); at: 20 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #=; instVarAt: 4 put: false; yourself); at: 21 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #=; instVarAt: 4 put: false; yourself); at: 22 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #=; instVarAt: 4 put: false; yourself); at: 23 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #=; instVarAt: 4 put: false; yourself); at: 24 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #=; instVarAt: 4 put: false; yourself); at: 25 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #=; instVarAt: 4 put: false; yourself); at: 26 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #=; instVarAt: 4 put: false; yourself); at: 27 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #=; instVarAt: 4 put: false; yourself); at: 28 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #=; instVarAt: 4 put: false; yourself); at: 29 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #=; instVarAt: 4 put: false; yourself); at: 30 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #=; instVarAt: 4 put: false; yourself); at: 31 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #=; instVarAt: 4 put: false; yourself); at: 32 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #=; instVarAt: 4 put: false; yourself); at: 33 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #=; instVarAt: 4 put: false; yourself); at: 34 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #'=='; instVarAt: 4 put: false; yourself); at: 35 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #'=='; instVarAt: 4 put: false; yourself); at: 36 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #'=='; instVarAt: 4 put: false; yourself); at: 37 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #'=='; instVarAt: 4 put: false; yourself); at: 38 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #'=='; instVarAt: 4 put: false; yourself); at: 39 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #'=='; instVarAt: 4 put: false; yourself); at: 40 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #'=='; instVarAt: 4 put: false; yourself); at: 41 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #'=='; instVarAt: 4 put: false; yourself); at: 42 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #'=='; instVarAt: 4 put: false; yourself); at: 43 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #'=='; instVarAt: 4 put: false; yourself); at: 44 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #'=='; instVarAt: 4 put: false; yourself); at: 45 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #'=='; instVarAt: 4 put: false; yourself); at: 46 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #'=='; instVarAt: 4 put: false; yourself); at: 47 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #=; instVarAt: 4 put: false; yourself); yourself); at: 16 put: ((Array new: 17) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); at: 3 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #=; instVarAt: 4 put: false; yourself); at: 4 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #'=='; instVarAt: 4 put: false; yourself); at: 5 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #'=='; instVarAt: 4 put: false; yourself); at: 6 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #'=='; instVarAt: 4 put: false; yourself); at: 7 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #'=='; instVarAt: 4 put: false; yourself); at: 8 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #'=='; instVarAt: 4 put: false; yourself); at: 9 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #'=='; instVarAt: 4 put: false; yourself); at: 10 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #'=='; instVarAt: 4 put: false; yourself); at: 11 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #'=='; instVarAt: 4 put: false; yourself); at: 12 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #'=='; instVarAt: 4 put: false; yourself); at: 13 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #'=='; instVarAt: 4 put: false; yourself); at: 14 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #'=='; instVarAt: 4 put: false; yourself); at: 15 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #'=='; instVarAt: 4 put: false; yourself); at: 16 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #'=='; instVarAt: 4 put: false; yourself); at: 17 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #=; instVarAt: 4 put: false; yourself); yourself); at: 17 put: ((Array new: 39) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); at: 3 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #and:; instVarAt: 4 put: false; yourself); at: 4 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #and:; instVarAt: 4 put: false; yourself); at: 5 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #and:; instVarAt: 4 put: false; yourself); at: 6 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #and:; instVarAt: 4 put: false; yourself); at: 7 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #and:; instVarAt: 4 put: false; yourself); at: 8 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #and:; instVarAt: 4 put: false; yourself); at: 9 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #and:; instVarAt: 4 put: false; yourself); at: 10 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #and:; instVarAt: 4 put: false; yourself); at: 11 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #and:; instVarAt: 4 put: false; yourself); at: 12 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #and:; instVarAt: 4 put: false; yourself); at: 13 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #and:; instVarAt: 4 put: false; yourself); at: 14 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #and:; instVarAt: 4 put: false; yourself); at: 15 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #and:; instVarAt: 4 put: false; yourself); at: 16 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #and:; instVarAt: 4 put: false; yourself); at: 17 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #and:; instVarAt: 4 put: false; yourself); at: 18 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #and:; instVarAt: 4 put: false; yourself); at: 19 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #and:; instVarAt: 4 put: false; yourself); at: 20 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #and:; instVarAt: 4 put: false; yourself); at: 21 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #and:; instVarAt: 4 put: false; yourself); at: 22 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #and:; instVarAt: 4 put: false; yourself); at: 23 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #and; instVarAt: 4 put: false; yourself); at: 24 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #a; instVarAt: 4 put: false; yourself); at: 25 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #=; instVarAt: 4 put: false; yourself); at: 26 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #'=='; instVarAt: 4 put: false; yourself); at: 27 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #'=='; instVarAt: 4 put: false; yourself); at: 28 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #'=='; instVarAt: 4 put: false; yourself); at: 29 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #'=='; instVarAt: 4 put: false; yourself); at: 30 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #'=='; instVarAt: 4 put: false; yourself); at: 31 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #'=='; instVarAt: 4 put: false; yourself); at: 32 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #'=='; instVarAt: 4 put: false; yourself); at: 33 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #'=='; instVarAt: 4 put: false; yourself); at: 34 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #'=='; instVarAt: 4 put: false; yourself); at: 35 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #'=='; instVarAt: 4 put: false; yourself); at: 36 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #'=='; instVarAt: 4 put: false; yourself); at: 37 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #'=='; instVarAt: 4 put: false; yourself); at: 38 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #'=='; instVarAt: 4 put: false; yourself); at: 39 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #=; instVarAt: 4 put: false; yourself); yourself); at: 18 put: ((Array new: 20) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); at: 3 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #and:; instVarAt: 4 put: false; yourself); at: 4 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #and; instVarAt: 4 put: false; yourself); at: 5 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #a; instVarAt: 4 put: false; yourself); at: 6 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #=; instVarAt: 4 put: false; yourself); at: 7 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #'=='; instVarAt: 4 put: false; yourself); at: 8 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #'=='; instVarAt: 4 put: false; yourself); at: 9 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #'=='; instVarAt: 4 put: false; yourself); at: 10 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #'=='; instVarAt: 4 put: false; yourself); at: 11 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #'=='; instVarAt: 4 put: false; yourself); at: 12 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #'=='; instVarAt: 4 put: false; yourself); at: 13 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #'=='; instVarAt: 4 put: false; yourself); at: 14 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #'=='; instVarAt: 4 put: false; yourself); at: 15 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #'=='; instVarAt: 4 put: false; yourself); at: 16 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #'=='; instVarAt: 4 put: false; yourself); at: 17 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #'=='; instVarAt: 4 put: false; yourself); at: 18 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #'=='; instVarAt: 4 put: false; yourself); at: 19 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #'=='; instVarAt: 4 put: false; yourself); at: 20 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #=; instVarAt: 4 put: false; yourself); yourself); at: 19 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); at: 20 put: ((Array new: 17) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); at: 3 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #'~~'; instVarAt: 4 put: false; yourself); at: 4 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #'~~'; instVarAt: 4 put: false; yourself); at: 5 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #'~~'; instVarAt: 4 put: false; yourself); at: 6 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #'~='; instVarAt: 4 put: false; yourself); at: 7 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #'~='; instVarAt: 4 put: false; yourself); at: 8 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #'~='; instVarAt: 4 put: false; yourself); at: 9 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #'~='; instVarAt: 4 put: false; yourself); at: 10 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #'=='; instVarAt: 4 put: false; yourself); at: 11 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #'=='; instVarAt: 4 put: false; yourself); at: 12 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #'=='; instVarAt: 4 put: false; yourself); at: 13 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #'=='; instVarAt: 4 put: false; yourself); at: 14 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #'=='; instVarAt: 4 put: false; yourself); at: 15 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #'=='; instVarAt: 4 put: false; yourself); at: 16 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #'=='; instVarAt: 4 put: false; yourself); at: 17 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #=; instVarAt: 4 put: false; yourself); yourself); at: 21 put: ((Array new: 4) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); at: 3 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #'=='; instVarAt: 4 put: false; yourself); at: 4 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #=; instVarAt: 4 put: false; yourself); yourself); at: 22 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); yourself))))isInstanceSide: true)! !

!SCTCIntroOfFuel methodsFor: 'as yet unclassified' stamp: 'hjo 8/18/2012 15:42'!
node0006

	^((((TGNode class: FLSerializer methodCategoryName: #'serializing-shortcuts') methodCategoryName: #'serializing-shortcuts') text: (Text string: 'simple way to serialize something to use <serializing-shortcuts>

Let''s see them one-by-one.' runs: (RunArray runs: #(92 ) values: ((Array new: 1) at: 1 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); yourself))))isInstanceSide: false)! !

!SCTCIntroOfFuel methodsFor: 'as yet unclassified' stamp: 'hjo 8/18/2012 15:42'!
node0007

	^((((TGNode class: FLSerializer selector: #serialize:toFileNamed:) methodCategoryName: #'serializing-shortcuts') text: (Text string: 'serialization short-cut 1

This serialize anObject to a file.' runs: (RunArray runs: #(61 ) values: ((Array new: 1) at: 1 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); yourself))))isInstanceSide: false)! !

!SCTCIntroOfFuel methodsFor: 'as yet unclassified' stamp: 'hjo 8/18/2012 15:42'!
node0008

	^((((TGNode class: FLSerializer selector: #serializeToByteArray:) methodCategoryName: #'serializing-shortcuts') text: (Text string: 'serialization short-cut 2

this serialize to a byteArray and answers it.' runs: (RunArray runs: #(72 ) values: ((Array new: 1) at: 1 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); yourself))))isInstanceSide: false)! !

!SCTCIntroOfFuel methodsFor: 'as yet unclassified' stamp: 'hjo 8/18/2012 15:42'!
node0009

	^((((TGNode class: FLSerializer methodCategoryName: #'instance creation') methodCategoryName: #'instance creation') text: (Text string: 'When you find short-cuts are not suitable to your need, you can create FLSerializer with these methods.' runs: (RunArray runs: #(103 ) values: ((Array new: 1) at: 1 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); yourself))))isInstanceSide: false)! !

!SCTCIntroOfFuel methodsFor: 'as yet unclassified' stamp: 'hjo 8/18/2012 15:42'!
node0010

	^((((TGNode class: FLSerializer selector: #newLight) methodCategoryName: #'instance creation') text: (Text string: 'It just instanciate an object.

This is opposite to #newFull.
' runs: (RunArray runs: #(62 ) values: ((Array new: 1) at: 1 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); yourself))))isInstanceSide: false)! !

!SCTCIntroOfFuel methodsFor: 'as yet unclassified' stamp: 'hjo 8/18/2012 15:42'!
node0011

	^((((TGNode class: FLSerializer selector: #newFull) methodCategoryName: #'instance creation') text: (Text string: 'Unlike #newLight, this creates an instance that serializes globals when it needs to.

Note that "analyzer" is invovled. I suspect that Analyzer determines how it should serialize things.' runs: (RunArray runs: #(186 ) values: ((Array new: 1) at: 1 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); yourself))))isInstanceSide: false)! !

!SCTCIntroOfFuel methodsFor: 'as yet unclassified' stamp: 'hjo 8/18/2012 15:42'!
node0012

	^((((TGNode class: FLSerializer selector: #newDefault) methodCategoryName: #'instance creation') text: (Text string: 'default way to create.
It is just #newLight.

<serializing-shortcuts> use this.' runs: (RunArray runs: #(79 ) values: ((Array new: 1) at: 1 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); yourself))))isInstanceSide: false)! !

!SCTCIntroOfFuel methodsFor: 'as yet unclassified' stamp: 'hjo 8/18/2012 15:42'!
node0013

	^((((TGNode class: FLSerializer selector: #serialize:on:) methodCategoryName: #serializing) text: (Text string: 'This is the core method of serialization.

it stores signature, version, and data.' runs: (RunArray runs: #(82 ) values: ((Array new: 1) at: 1 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); yourself))))isInstanceSide: true)! !

!SCTCIntroOfFuel methodsFor: 'as yet unclassified' stamp: 'hjo 8/18/2012 15:42'!
node0014

	^((((TGNode class: FLSerializer selector: #nextPutSignatureOn:) methodCategoryName: #protected) text: (Text string: 'simply #nextPutAll: ing signature' runs: (RunArray runs: #(33 ) values: ((Array new: 1) at: 1 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); yourself))))isInstanceSide: true)! !

!SCTCIntroOfFuel methodsFor: 'as yet unclassified' stamp: 'hjo 8/18/2012 15:42'!
node0015

	^((((TGNode class: FLSerializer selector: #signature) methodCategoryName: #accessing) text: (Text string: 'signature is ivar. need to study what gets in here.' runs: (RunArray runs: #(51 ) values: ((Array new: 1) at: 1 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); yourself))))isInstanceSide: true)! !

!SCTCIntroOfFuel methodsFor: 'as yet unclassified' stamp: 'hjo 8/18/2012 15:42'!
node0016

	^((((TGNode class: FLSerializer selector: #nextPutVersionOn:) methodCategoryName: #protected) text: (Text string: 'simply,stroring version.
version seems to be an 16bit unsigned integer.' runs: (RunArray runs: #(71 ) values: ((Array new: 1) at: 1 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); yourself))))isInstanceSide: true)! !

!SCTCIntroOfFuel methodsFor: 'as yet unclassified' stamp: 'hjo 8/18/2012 15:42'!
node0017

	^((((TGNode class: FLSerializer selector: #version) methodCategoryName: #accessing) text: (Text string: 'version is ivar.
Need to study what gets in here.' runs: (RunArray runs: #(49 ) values: ((Array new: 1) at: 1 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); yourself))))isInstanceSide: true)! !

!SCTCIntroOfFuel methodsFor: 'as yet unclassified' stamp: 'hjo 8/18/2012 15:42'!
node0018

	^(((TGNode class: FLSerializer) text: (Text string: 'As we seen before signature , version is ivars.
And they are the last two ivars of FLSerializer.
' runs: (RunArray runs: #(97 ) values: ((Array new: 1) at: 1 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); yourself))))isInstanceSide: true)! !

!SCTCIntroOfFuel methodsFor: 'as yet unclassified' stamp: 'hjo 8/18/2012 15:42'!
node0019

	^(((TGNode class: FLMaterializer) text: (Text string: 'FLMaterializer does opposite thing as FLSerializer.

It has signature & version a like FLSerializer.

And other variables are also very similar to those of FMSerializer.' runs: (RunArray runs: #(169 ) values: ((Array new: 1) at: 1 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); yourself))))isInstanceSide: true)! !

!SCTCIntroOfFuel methodsFor: 'as yet unclassified' stamp: 'hjo 8/18/2012 15:42'!
node0020

	^((((TGNode class: FLMaterializer methodCategoryName: #'materializing-shortcuts') methodCategoryName: #'materializing-shortcuts') text: (Text string: 'FLMaterializer also provides short-cuts like FLSerializer does.


Number of short-cuts is 3. Number of short-cuts of FLSerializer was 2.

There is not corresponding method for #materializationFromFileNamed: in FLSerializer.
' runs: (RunArray runs: #(224 ) values: ((Array new: 1) at: 1 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); yourself))))isInstanceSide: false)! !

!SCTCIntroOfFuel methodsFor: 'as yet unclassified' stamp: 'hjo 8/18/2012 15:42'!
node0021

	^((((TGNode class: FLMaterializer selector: #materializeFromFileNamed:) methodCategoryName: #'materializing-shortcuts') text: (Text string: 'uses #materializationFromFileNamed: to get an object from filename. I suspect the object to be a FLMaterialization.

Getting root of materialization from file name is what materialize is.' runs: (RunArray runs: #(5 111 71 ) values: ((Array new: 3) at: 1 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); at: 2 put: ((Array new: 3) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); at: 3 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializationFromFileNamed:; instVarAt: 4 put: false; yourself); yourself); at: 3 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); yourself))))isInstanceSide: false)! !

!SCTCIntroOfFuel methodsFor: 'as yet unclassified' stamp: 'hjo 8/18/2012 15:42'!
node0022

	^((((TGNode class: FLMaterializer selector: #materializationFromFileNamed:) methodCategoryName: #'materializing-shortcuts') text: (Text string: 'get materialization from a file name.

#materializeFrom: is an instance side method that does the work.' runs: (RunArray runs: #(39 64 ) values: ((Array new: 2) at: 1 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); at: 2 put: ((Array new: 3) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); at: 3 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #materializeFrom:; instVarAt: 4 put: false; yourself); yourself); yourself))))isInstanceSide: false)! !

!SCTCIntroOfFuel methodsFor: 'as yet unclassified' stamp: 'hjo 8/18/2012 15:42'!
node0023

	^((((TGNode class: FLMaterializer selector: #materializeFromByteArray:) methodCategoryName: #'materializing-shortcuts') text: (Text string: 'get root of materialization from a ByteArray.

It uses same #materializeFrom: , too.' runs: (RunArray runs: #(84 ) values: ((Array new: 1) at: 1 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); yourself))))isInstanceSide: false)! !

!SCTCIntroOfFuel methodsFor: 'as yet unclassified' stamp: 'hjo 8/18/2012 15:42'!
node0024

	^((((TGNode class: FLMaterializer selector: #materializeFrom:) methodCategoryName: #materializing) text: (Text string: 'instance side method.
core method of materialization.

verifys signature, version, and data.' runs: (RunArray runs: #(92 ) values: ((Array new: 1) at: 1 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); yourself))))isInstanceSide: true)! !

!SCTCIntroOfFuel methodsFor: 'as yet unclassified' stamp: 'hjo 8/18/2012 15:42'!
node0025

	^((((TGNode class: FLMaterializer selector: #verifySignatureFrom:) methodCategoryName: #protected) text: (Text string: 'not a big work' runs: (RunArray runs: #(14 ) values: ((Array new: 1) at: 1 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); yourself))))isInstanceSide: true)! !

!SCTCIntroOfFuel methodsFor: 'as yet unclassified' stamp: 'hjo 8/18/2012 15:42'!
node0026

	^((((TGNode class: FLMaterializer selector: #verifyVersionFrom:) methodCategoryName: #protected) text: (Text string: 'not a big work' runs: (RunArray runs: #(14 ) values: ((Array new: 1) at: 1 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); yourself))))isInstanceSide: true)! !

!SCTCIntroOfFuel methodsFor: 'as yet unclassified' stamp: 'hjo 8/18/2012 15:42'!
node0027

	^((((TGNode class: FLMaterializer selector: #materializeFrom:) methodCategoryName: #materializing) text: (Text string: 'Therefore, important work is done by 
	"materializationFactory value: aStream"' runs: (RunArray runs: #(40 22 1 6 9 ) values: ((Array new: 5) at: 1 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); at: 2 put: ((Array new: 3) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); at: 3 put: (TextVariableLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: 'materializationFactory'; yourself); yourself); at: 3 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); at: 4 put: ((Array new: 3) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); at: 3 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #value:; instVarAt: 4 put: false; yourself); yourself); at: 5 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); yourself))))isInstanceSide: true)! !

!SCTCIntroOfFuel methodsFor: 'as yet unclassified' stamp: 'hjo 8/18/2012 15:42'!
node0028

	^((((TGNode class: FLSerializer selector: #showProgress) methodCategoryName: #'*FuelProgressUpdate-configuring') text: (Text string: 'wow. it has option to show serialization progress!!' runs: (RunArray runs: #(50 ) values: ((Array new: 1) at: 1 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); yourself))))isInstanceSide: true)! !

!SCTCIntroOfFuel methodsFor: 'as yet unclassified' stamp: 'hjo 8/18/2012 15:42'!
node0029

	^((((TGNode class: FLMaterializer selector: #showProgress) methodCategoryName: #'*FuelProgressUpdate-configuring') text: (Text string: 'same to materialization.' runs: (RunArray runs: #(24 ) values: ((Array new: 1) at: 1 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); yourself))))isInstanceSide: true)! !

!SCTCIntroOfFuel methodsFor: 'as yet unclassified' stamp: 'hjo 8/18/2012 15:42'!
node0030

	^(((TGNode class: FLAnalyzer) text: (Text string: 'Graph traversal algorithm?

If you recall that ...
' runs: (RunArray runs: #(51 ) values: ((Array new: 1) at: 1 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); yourself))))isInstanceSide: true)! !

!SCTCIntroOfFuel methodsFor: 'as yet unclassified' stamp: 'hjo 8/18/2012 15:42'!
node0031

	^((((TGNode class: FLSerializer selector: #newFull) methodCategoryName: #'instance creation') text: (Text string: '... FSerializer''s newFull uses analizer.

FLAnalyzer has something to do with global variable serializing.' runs: (RunArray runs: #(106 ) values: ((Array new: 1) at: 1 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); yourself))))isInstanceSide: false)! !

!SCTCIntroOfFuel methodsFor: 'as yet unclassified' stamp: 'hjo 8/18/2012 15:42'!
node0032

	^(((TGNode class: FLSerializer) text: (Text string: 'And FLSerializer has ivar "analyzer".

FLAnalyzer is part of FLSerializer.' runs: (RunArray runs: #(74 ) values: ((Array new: 1) at: 1 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); yourself))))isInstanceSide: true)! !

!SCTCIntroOfFuel methodsFor: 'as yet unclassified' stamp: 'hjo 8/18/2012 15:42'!
node0033

	^((((TGNode class: FLSerializer selector: #analyzer) methodCategoryName: #accessing) text: (Text string: 'ivar "analyzer" is lazyly initialized with #defaultAnalyzer.' runs: (RunArray runs: #(60 ) values: ((Array new: 1) at: 1 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); yourself))))isInstanceSide: true)! !

!SCTCIntroOfFuel methodsFor: 'as yet unclassified' stamp: 'hjo 8/18/2012 15:42'!
node0034

	^((((TGNode class: FLSerializer selector: #defaultAnalyzer) methodCategoryName: #protected) text: (Text string: '#defaultAnalyzer uses FLAnalyzer' runs: (RunArray runs: #(32 ) values: ((Array new: 1) at: 1 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); yourself))))isInstanceSide: true)! !

!SCTCIntroOfFuel methodsFor: 'as yet unclassified' stamp: 'hjo 8/18/2012 15:42'!
node0035

	^((((TGNode class: FLSerializer selector: #analyzer) methodCategoryName: #accessing) text: (Text string: 'Since "analyzer is lazyly initialized, all the other code will use #analyzer than "analyzer".' runs: (RunArray runs: #(93 ) values: ((Array new: 1) at: 1 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); yourself))))isInstanceSide: true)! !

!SCTCIntroOfFuel methodsFor: 'as yet unclassified' stamp: 'hjo 8/18/2012 15:42'!
node0036

	^((((TGNode class: FLSerializer selector: #defaultSerialization) methodCategoryName: #protected) text: (Text string: 'There are 2 users of #analyzer.

User of #analyzer 1/2 is #defaultSerialization.

It create instance of FLSerialization. While that creation, #analyzer is used.' runs: (RunArray runs: #(160 ) values: ((Array new: 1) at: 1 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); yourself))))isInstanceSide: true)! !

!SCTCIntroOfFuel methodsFor: 'as yet unclassified' stamp: 'hjo 8/18/2012 15:42'!
node0037

	^((((TGNode class: FLSerializer selector: #setProgressSerialization) methodCategoryName: #'*FuelProgressUpdate-protected') text: (Text string: 'User of #analyzer 1/2 is #setProgressSerialization.

It uses FLDefaultProgressSerializationHandler and FLProgressSerialization.

#analyzer is used while creating FLProgressSerialization.

As from the name of it, FLSerializer can display its progress of serialization while doing it.
' runs: (RunArray runs: #(283 ) values: ((Array new: 1) at: 1 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); yourself))))isInstanceSide: true)! !

!SCTCIntroOfFuel methodsFor: 'as yet unclassified' stamp: 'hjo 8/18/2012 15:42'!
node0038

	^((((TGNode class: FLSerializer selector: #setProgressSerialization) methodCategoryName: #'*FuelProgressUpdate-protected') text: (Text string: 'If you''ve seen the code carefully, both of the sender of #analyzer sets ivar serializationFactory with a BlockClosure that some kind of Serialization.
' runs: (RunArray runs: #(151 ) values: ((Array new: 1) at: 1 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); yourself))))isInstanceSide: true)! !

!SCTCIntroOfFuel methodsFor: 'as yet unclassified' stamp: 'hjo 8/18/2012 15:42'!
node0039

	^(((TGNode class: FLSerialization) text: (Text string: 'Let''s look at FLSerialzation.

It has stream. 
note, There are 7 core classes of Fuel, and only 2 classes has ivar named "stream". They are FLSerialization and FLMaterialization.

It has root.
As we saw from the short-cuts methods of FLSerializer and FLMaterializer, they accessed #root. I''m pretty sure that it access this ivar. What is root? We will talk about it later.

Since this class has stream and root, I think it is a main algorithm object.


' runs: (RunArray runs: #(453 ) values: ((Array new: 1) at: 1 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); yourself))))isInstanceSide: true)! !

!SCTCIntroOfFuel methodsFor: 'as yet unclassified' stamp: 'hjo 8/18/2012 15:42'!
node0040

	^(((TGNode class: FLSerialization) text: (Text string: 'FLSerialization also has "clusters" and "objectIndexes". For optimizing serialization speed, Fuel uses concept of cluster. Objects of same class is grouped together into a cluster. If you know how ... ' runs: (RunArray runs: #(201 ) values: ((Array new: 1) at: 1 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); yourself))))isInstanceSide: true)! !

!SCTCIntroOfFuel methodsFor: 'as yet unclassified' stamp: 'hjo 8/18/2012 15:42'!
node0041

	^(((TGNode class: RunArray) text: (Text string: '... If you know how RunArray works, you will understand how objects are stored in the cluster.

example: 
	
		''aaaaabb'' as: RunArray

RunArray has ''runs'' and ''values''.. they corresponds to ...' runs: (RunArray runs: #(120 3 1 8 60 ) values: ((Array new: 5) at: 1 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); at: 2 put: ((Array new: 7) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); at: 3 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #as:; instVarAt: 4 put: false; yourself); at: 4 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #as:; instVarAt: 4 put: false; yourself); at: 5 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #as:; instVarAt: 4 put: false; yourself); at: 6 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #as:; instVarAt: 4 put: false; yourself); at: 7 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #a; instVarAt: 4 put: false; yourself); yourself); at: 3 put: ((Array new: 4) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); at: 3 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #as:; instVarAt: 4 put: false; yourself); at: 4 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #a; instVarAt: 4 put: false; yourself); yourself); at: 4 put: ((Array new: 9) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); at: 3 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #RunArray; yourself); at: 4 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #RunArray; yourself); at: 5 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #RunArray; yourself); at: 6 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #RunArray; yourself); at: 7 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #RunArray; yourself); at: 8 put: (TextClassLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: #RunArray; yourself); at: 9 put: (TextMethodLink basicNew instVarAt: 1 put: nil; instVarAt: 2 put: nil; instVarAt: 3 put: #a; instVarAt: 4 put: false; yourself); yourself); at: 5 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); yourself))))isInstanceSide: true)! !

!SCTCIntroOfFuel methodsFor: 'as yet unclassified' stamp: 'hjo 8/18/2012 15:42'!
node0042

	^(((TGNode class: FLSerialization) text: (Text string: 'RunArray has "runs" and "values".. they corresponds to "clusters" and "objectCount" FLSerialzation.

' runs: (RunArray runs: #(101 ) values: ((Array new: 1) at: 1 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); yourself))))isInstanceSide: true)! !

!SCTCIntroOfFuel methodsFor: 'as yet unclassified' stamp: 'hjo 8/18/2012 15:42'!
node0043

	^(((TGNode class: FLClusterization) text: (Text string: 'Look at ivars of FLCusterization.

- baselevel bucket
- substitutions bucket 
- globals bucket 
- metalevel instance-side bucket 
- metalevel class-side bucket 
- primitives bucket

FLClusterization is an object of buckets. Now, what is bucket?' runs: (RunArray runs: #(244 ) values: ((Array new: 1) at: 1 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); yourself))))isInstanceSide: true)! !

!SCTCIntroOfFuel methodsFor: 'as yet unclassified' stamp: 'hjo 8/18/2012 15:42'!
node0044

	^((((TGNode class: FLClusterization selector: #initialize) methodCategoryName: #'initialize-release') text: (Text string: 'The type of buckets is IdentitySet, a Set who tests identity than equality.

So, the buckets will collect objects only once even if there is an object that is shared by many other objects. And since they are not Set but IdentitySet, objects that equals each other, all of them will be collected into buckets.
' runs: (RunArray runs: #(309 ) values: ((Array new: 1) at: 1 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); yourself))))isInstanceSide: true)! !

!SCTCIntroOfFuel methodsFor: 'as yet unclassified' stamp: 'hjo 8/18/2012 15:42'!
node0045

	^((((TGNode class: FLAnalysis selector: #initializeWith:root:) methodCategoryName: #'initialize-release') text: (Text string: 'FLClusterization is part of FLAnalysis.' runs: (RunArray runs: #(39 ) values: ((Array new: 1) at: 1 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); yourself))))isInstanceSide: true)! !

!SCTCIntroOfFuel methodsFor: 'as yet unclassified' stamp: 'hjo 8/18/2012 15:42'!
node0046

	^(((TGNode class: FLAnalysis) text: (Text string: 'FLAnalysis is very very simple object. Let''s study this.' runs: (RunArray runs: #(56 ) values: ((Array new: 1) at: 1 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); yourself))))isInstanceSide: true)! !

!SCTCIntroOfFuel methodsFor: 'as yet unclassified' stamp: 'hjo 8/18/2012 15:42'!
node0047

	^((((TGNode class: FLAnalyzer selector: #setDefaultAnalysis) methodCategoryName: #protected) text: (Text string: 'It is created by FLAnalyzer and stored into analysisFactory as a BlockClosure.
It is created with #newWith:root: message.' runs: (RunArray runs: #(121 ) values: ((Array new: 1) at: 1 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); yourself))))isInstanceSide: true)! !

!SCTCIntroOfFuel methodsFor: 'as yet unclassified' stamp: 'hjo 8/18/2012 15:42'!
node0048

	^((((TGNode class: FLAnalysis selector: #newWith:root:) methodCategoryName: #'instance creation') text: (Text string: 'That sends #initializeWith:root:' runs: (RunArray runs: #(32 ) values: ((Array new: 1) at: 1 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); yourself))))isInstanceSide: false)! !

!SCTCIntroOfFuel methodsFor: 'as yet unclassified' stamp: 'hjo 8/18/2012 15:42'!
node0049

	^((((TGNode class: FLAnalysis selector: #initializeWith:root:) methodCategoryName: #'initialize-release') text: (Text string: '"objectStack" and "clusterization" is initialized inside.
"firstMapper" and "root" is initialed from outside argument. These arguments are delivered from ...' runs: (RunArray runs: #(157 ) values: ((Array new: 1) at: 1 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); yourself))))isInstanceSide: true)! !

!SCTCIntroOfFuel methodsFor: 'as yet unclassified' stamp: 'hjo 8/18/2012 15:42'!
node0050

	^((((TGNode class: FLAnalyzer selector: #setDefaultAnalysis) methodCategoryName: #protected) text: (Text string: '"firstMapper" and "root" is initialed from outside argument. These arguments are delivered from FLAnalyzer''s #firstInMapperChain and root object of serialization.' runs: (RunArray runs: #(162 ) values: ((Array new: 1) at: 1 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); yourself))))isInstanceSide: true)! !

!SCTCIntroOfFuel methodsFor: 'as yet unclassified' stamp: 'hjo 8/18/2012 15:42'!
node0051

	^((((TGNode class: FLAnalysis selector: #run) methodCategoryName: #analyzing) text: (Text string: '#run is the main loop of FLAnalysis.
It has a stack that can #push: or #pop.

FLAnalysis #mapAndTrace: objects from the stack. While running, the stack will grow or shrink as it visit object graph.' runs: (RunArray runs: #(197 ) values: ((Array new: 1) at: 1 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); yourself))))isInstanceSide: true)! !

!SCTCIntroOfFuel methodsFor: 'as yet unclassified' stamp: 'hjo 8/18/2012 15:42'!
node0052

	^((((TGNode class: FLAnalysis selector: #mapAndTrace:) methodCategoryName: #analyzing) text: (Text string: 'It sends #clusterFor: to self to get aCluster.
Then it sends #add:traceWith: to clusterization and aCluster.' runs: (RunArray runs: #(108 ) values: ((Array new: 1) at: 1 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); yourself))))isInstanceSide: true)! !

!SCTCIntroOfFuel methodsFor: 'as yet unclassified' stamp: 'hjo 8/18/2012 15:42'!
node0053

	^((((TGNode class: FLAnalysis selector: #clusterFor:) methodCategoryName: #analyzing) text: (Text string: '#clusterFor: gets a Cluster by sending #changedClusterFor: to firstMapper.' runs: (RunArray runs: #(74 ) values: ((Array new: 1) at: 1 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); yourself))))isInstanceSide: true)! !

!SCTCIntroOfFuel methodsFor: 'as yet unclassified' stamp: 'hjo 8/18/2012 15:42'!
node0054

	^(((TGNode class: FLMapper) text: (Text string: 'firstMapper is FLMapper. There are many types of FLMapper. ' runs: (RunArray runs: #(59 ) values: ((Array new: 1) at: 1 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); yourself))))isInstanceSide: true)! !

!SCTCIntroOfFuel methodsFor: 'as yet unclassified' stamp: 'hjo 8/18/2012 15:42'!
node0055

	^((((TGNode class: FLMapper selector: #chainedClusterFor:) methodCategoryName: #accessing) text: (Text string: '#chainedClusterFor:  is overriden by some subclasses of FLMapper.
To get the general idea, lets look at it of FLMapper''s.

' runs: (RunArray runs: #(123 ) values: ((Array new: 1) at: 1 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); yourself))))isInstanceSide: true)! !

!SCTCIntroOfFuel methodsFor: 'as yet unclassified' stamp: 'hjo 8/18/2012 15:42'!
node0056

	^((((TGNode class: FLCluster selector: #add:traceWith:) methodCategoryName: #analyzing) text: (Text string: '' runs: (RunArray runs: #() values: #())))isInstanceSide: true)! !

!SCTCIntroOfFuel methodsFor: 'as yet unclassified' stamp: 'hjo 8/18/2012 15:42'!
node0057

	^((((TGNode class: FLClusterization selector: #add:traceWith:) methodCategoryName: #analyzing) text: (Text string: '' runs: (RunArray runs: #() values: #())))isInstanceSide: true)! !

!SCTCIntroOfFuel methodsFor: 'as yet unclassified' stamp: 'hjo 8/18/2012 15:42'!
node0058

	^(((TGNode class: FLClusterization) text: (Text string: '' runs: (RunArray runs: #() values: #())))isInstanceSide: true)! !

!SCTCIntroOfFuel methodsFor: 'as yet unclassified' stamp: 'hjo 8/18/2012 15:42'!
node0059

	^(((TGNode class: FLSerialization) text: (Text string: '' runs: (RunArray runs: #() values: #())))isInstanceSide: true)! !

!SCTCIntroOfFuel methodsFor: 'as yet unclassified' stamp: 'hjo 8/18/2012 15:42'!
node0060

	^(((TGNode class: FLAnalyzer) text: (Text string: '' runs: (RunArray runs: #() values: #())))isInstanceSide: true)! !

!SCTCIntroOfFuel methodsFor: 'as yet unclassified' stamp: 'hjo 8/18/2012 15:42'!
node0061

	^(((TGNode class: FLSerialization) text: (Text string: 'And there are many FLClusterizations in FLSerialization.' runs: (RunArray runs: #(56 ) values: ((Array new: 1) at: 1 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); yourself))))isInstanceSide: true)! !

!SCTCIntroOfFuel methodsFor: 'as yet unclassified' stamp: 'hjo 8/18/2012 15:42'!
node0062

	^(((TGNode class: FLMaterialization) text: (Text string: 'By it''s name, we can guess FLMaterialization is output of ...' runs: (RunArray runs: #(61 ) values: ((Array new: 1) at: 1 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); yourself))))isInstanceSide: true)! !

!SCTCIntroOfFuel methodsFor: 'as yet unclassified' stamp: 'hjo 8/18/2012 15:42'!
node0063

	^(((TGNode class: FLMaterializer) text: (Text string: ' ... FLMaterializer.
And we can also guess ...' runs: (RunArray runs: #(46 ) values: ((Array new: 1) at: 1 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); yourself))))isInstanceSide: true)! !

!SCTCIntroOfFuel methodsFor: 'as yet unclassified' stamp: 'hjo 8/18/2012 15:42'!
node0064

	^(((TGNode class: FLSerialization) text: (Text string: '... FLSerialization is ... ' runs: (RunArray runs: #(27 ) values: ((Array new: 1) at: 1 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); yourself))))isInstanceSide: true)! !

!SCTCIntroOfFuel methodsFor: 'as yet unclassified' stamp: 'hjo 8/18/2012 15:42'!
node0065

	^(((TGNode class: FLSerializer) text: (Text string: '... output of FLSerializer.' runs: (RunArray runs: #(27 ) values: ((Array new: 1) at: 1 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); yourself))))isInstanceSide: true)! !

!SCTCIntroOfFuel methodsFor: 'as yet unclassified' stamp: 'hjo 8/18/2012 15:42'!
node0066

	^(((TGNode class: FLAnalysis) text: (Text string: 'And FLAnalysis does have ivar "root".' runs: (RunArray runs: #(37 ) values: ((Array new: 1) at: 1 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); yourself))))isInstanceSide: true)! !

!SCTCIntroOfFuel methodsFor: 'as yet unclassified' stamp: 'hjo 8/18/2012 15:42'!
node0067

	^(((TGNode class: FLAnalysis) text: (Text string: 'Same as before, we can guess FLAnalysis is output of FLAnalyzer by its name.' runs: (RunArray runs: #(76 ) values: ((Array new: 1) at: 1 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 2; yourself); at: 2 put: (TextColor basicNew instVarAt: 1 put: (Color r: 0.0 g: 0.0 b: 0.0); yourself); yourself); yourself))))isInstanceSide: true)! !

!SCTCIntroOfFuel methodsFor: 'as yet unclassified' stamp: 'hjo 8/18/2012 15:42'!
title

	^'Introduction to Fuel'! !
